Bug 107991 - redhat-config-users leaves a frozen dialog after pressing "Cancel"
redhat-config-users leaves a frozen dialog after pressing "Cancel"
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-config-users (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
David Lawrence
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
Reported: 2003-10-25 15:34 EDT by petrosyan
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-27 14:21:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description petrosyan 2003-10-25 15:34:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031023

Description of problem:
redhat-config-users leaves a frozen dialog after pressing "Cancel"

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start redhat-config-users
2. click on the "Add Group" button
3. enter "test123" in the "Group name:" input field
4. press "OK" button
5. press "Add User" button
6. Enter "User Name:" test123, "Full Name:" doesnt matter, "Password:"
password_here, "Confirm Password:" password_here . Don't change any of the
default settings.
7. press "OK" button
8. you will be presented with a dialog: "A group with this name already exists.
What would you like to do? (*) Add to the existing group ( ) Add to the 'users'
gourp" . Press "Cancel" button in that dialog.
9. "Create New User Dialog" stays on the screen in a frozen state.
Comment 1 Brent Fox 2003-10-27 14:21:10 EST
Ah, I needed to call self.ready() to counteract the self.busy() call at the
beginning of the function.  Should be fixed in redhat-config-users-1.2.4-1. 
Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.